apply plugin: 'com.android.library'
apply from: './publish/adt-publication.gradle'

android {
    compileSdkVersion 29

    defaultConfig {
        minSdkVersion 14
        targetSdkVersion 29
        versionCode POM_BUILD_ID as Integer
        versionName POM_VERSION
    }

    buildTypes {
        release {
            minifyEnabled true
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField "String", "TAG", "\"Activation\""
        }
        debug {
            buildConfigField "String", "TAG", "\"Activation\""
        }
    }
}

dependencies {
    api fileTree(include: ['*.jar'], dir: 'libs')
    compileOnly files('../prebuilt/libs/android-support-v13-23.2.1.jar')
}
